Page MenuHomePhabricator

Enable math extension on wikitech
Closed, ResolvedPublic

Description

We need the math extension enabled on wikitech so that we can discuss some of the mathimatical concerns of engineering more easily. Right now, we've been hacking as best we can. See https://wikitech.wikimedia.org/wiki/Analytics/Data/Pageview_hourly/Sanitization for an example of a page that really needs <math> tags.

Details

Related Gerrit Patches:
operations/puppet : productionWikitech: Serve /srv/math-images as /w/images/math
operations/mediawiki-config : masterEnable Math on wikitech
operations/mediawiki-config : masterEnable Math extension on Wikitech

Event Timeline

Halfak created this task.Feb 9 2016, 3:35 PM
Halfak raised the priority of this task from to Needs Triage.
Halfak updated the task description. (Show Details)
Halfak added a project: wikitech.wikimedia.org.
Halfak added a subscriber: Halfak.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptFeb 9 2016, 3:35 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptFeb 9 2016, 3:36 PM

@Andrew Any particular reason why it was disabled https://gerrit.wikimedia.org/r/#/c/158409/ ? Can we enable it now?

@Glaisher, yes: the goal were to disable all the unneeded extensions, to avoid an overload of not used features.

Change 269694 had a related patch set uploaded (by Dereckson):
Enable Math extension on Wikitech

https://gerrit.wikimedia.org/r/269694

Dereckson triaged this task as Medium priority.Feb 10 2016, 3:58 PM

Change 269694 merged by jenkins-bot:
Enable Math extension on Wikitech

https://gerrit.wikimedia.org/r/269694

We reverted the change in 8c70c9e.

The extension complains texvc isn't available, and doesn't pick Mathoid.

fgiunchedi added a subscriber: fgiunchedi.

looks like this isn't blocked on operations anymore @Dereckson ?

Change 307494 had a related patch set uploaded (by Dereckson):
Enable Math on wikitech

https://gerrit.wikimedia.org/r/307494

Dereckson moved this task from Triage to In Progress on the Cloud-Services board.Sep 1 2016, 7:12 PM
Dereckson moved this task from Blocked on SRE to To deploy on the Wikimedia-Site-requests board.

Change 307494 merged by jenkins-bot:
Enable Math on wikitech

https://gerrit.wikimedia.org/r/307494

Mentioned in SAL [2016-09-02T00:21:58Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Enable Math on wikitech (T126338) (duration: 00m 47s)

Extension works, but can't currently write files, as wgMathDirectory was forced to /mnt/upload7/math.

A puppet and a config changes have been prepared to allow a local folder. That's handled in T126628.

Math extension can now write files successfully in /srv/math-images folder.

Last piece of the configuration is to serve such files as /wiki/images/math.

Change 308671 had a related patch set uploaded (by Dereckson):
Wikitech: Serve /srv/math-images as /w/images/math

https://gerrit.wikimedia.org/r/308671

Change 308671 merged by Filippo Giunchedi:
Wikitech: Serve /srv/math-images as /w/images/math

https://gerrit.wikimedia.org/r/308671

Halfak awarded a token.Sep 6 2016, 8:55 PM